Subject: Re: bug#35409: 27.0.50; Emacs master can't be built in Win 10

From: Shuguang Sun <[email-masked]>
Date: Wed, 01 May 2019 15:01:18 +0800

The new response version can be successfully compiled now.

In GNU Emacs 27.0.50 (build 1, x86_64-w64-mingw32)
 of 2019-05-01 built on RSHMX11052
Repository revision: 826f1e260121edc5185e0ed3fa20a781fbddc9a2
Repository branch: master
Windowing system distributor 'Microsoft Corp.', version 10.0.15063
System Description: Microsoft Windows 10 Enterprise (v10.0.1703.15063.1746)

NB: I'm using the most updated MSYS2 gcc 8.3.0.
# gcc --version
gcc.exe (Rev2, Built by MSYS2 project) 8.3.0
Copyright (C) 2018 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

Eli Zaretskii <[email-masked]> writes:

>> From: Shuguang Sun <[email-masked]>
>> Cc: [email-masked]
>> Date: Thu, 25 Apr 2019 09:16:07 +0800
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> > Thanks, can you also show the results of xbacktrace?
>> >
>> > Also, when did you build the master branch before this time?
>> >
>> 
>> This is my current Emacs:
>> In GNU Emacs 27.0.50 (build 1, x86_64-w64-mingw32)
>>  of 2019-04-14 built on RSHMX11052
>> Repository revision: d209d646220bf1967e12d2de5c37b2be82e29835
>
> I suspect the changes made in 23a82cb.  Can you try reverting that
> commit?
>
>> I'm on a trip. Will try to provide xbacktrace later.
>
> Thanks.
>
>
>
>

-- 
Best Regards
Shuguang Sun